# Method: achievements.increment

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/achievements/increment#body.HTTP_TEMPLATE)
- [Path parameters](https://developer.android.com/games/services/web/api/rest/v1/achievements/increment#body.PATH_PARAMETERS)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/achievements/increment#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/achievements/increment#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/achievements/increment#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/achievements/increment#body.IncrementAchievementResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/achievements/increment#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/achievements/increment#try-it)

Increments the steps of the achievement with the given ID for the currently authenticated player.

### HTTP request

`POST https://games.googleapis.com/games/v1/achievements/{achievementId}/increment`

### Path parameters

|                                Parameters                                ||
|-----------------|---------------------------------------------------------|
| `achievementId` | `string` The ID of the achievement used by this method. |

### Query parameters

|                                                                                                                                     Parameters                                                                                                                                      ||
|--------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `requestId`        | `string (`[int64](https://developers.google.com/discovery/v1/type-format)` format)` A randomly generated numeric ID for each request specified by the caller. This number is used at the server to ensure that the request is handled correctly across retries. |
| `stepsToIncrement` | `integer` Required. The number of steps to increment.                                                                                                                                                                                                           |

### Request body

The request body must be empty.

### Response body

An achievement increment response

If successful, the response body contains data with the following structure:

|                              JSON representation                              |
|-------------------------------------------------------------------------------|
| ``` { "kind": string, "currentSteps": integer, "newlyUnlocked": boolean } ``` |

|                                                                     Fields                                                                     ||
|-----------------|-------------------------------------------------------------------------------------------------------------------------------|
| `kind`          | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#achievementIncrementResponse`. |
| `currentSteps`  | `integer` The current steps recorded for this incremental achievement.                                                        |
| `newlyUnlocked` | `boolean` Whether the current steps for the achievement has reached the number of steps required to unlock.                   |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).